Name:           ocaml-syslog
Version:        1.4
Release:        %mkrel 6
Summary:        Syslog routines for OCaml
Source:         http://homepage.mac.com/letaris/syslog-%{version}.tar.gz
URL:            http://homepage.mac.com/letaris
License:        LGPL
Group:          Development/OCaml
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

%description
Syslog routines for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n syslog-%{version}

%build
make 
make opt
make htdoc

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{_libdir}/ocaml
install -d -m 755 %{buildroot}/%_defaultdocdir/%{name}/html
ocamlfind install syslog META -destdir %{buildroot}/%{_libdir}/ocaml \
    syslog.cmi syslog.mli syslog.cma syslog.cmxa syslog.a
rm -f %{buildroot}/%{_libdir}/ocaml/stublibs/*.owner

%files
%doc Changelog doc/syslog/html
%dir %{_libdir}/ocaml/syslog
%{_libdir}/ocaml/syslog/*.cmi
%{_libdir}/ocaml/syslog/*.cma
%{_libdir}/ocaml/syslog/META

%files devel
%{_libdir}/ocaml/syslog/*.a
%{_libdir}/ocaml/syslog/*.cmxa
%{_libdir}/ocaml/syslog/*.mli


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.4-6.mga4
+ Revision: 508540
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4-5.mga3
+ Revision: 361654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.4-4.mga3
+ Revision: 301488
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.4-2.mga3
+ Revision: 300528
- new rpm group for ocaml

* Fri Mar 23 2012 blue_prawn <blue_prawn> 1.4-1.mga2
+ Revision: 225899
- imported from Mandriva


* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 390307
- rebuild

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 320758
- move non-devel files in main package
- site-lib hierarchy doesn't exist anymore

* Wed Jul 09 2008 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 233047
- rebuild

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org>
+ Revision: 136634
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org>
+ Revision: 130846
- kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 77683
- drop macro definition, now in rpm-mandriva-setup
- ship .cmi file in non-devel subpackage

* Fri Aug 31 2007 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 77093
- import ocaml-syslog
